﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;
using Syncfusion.UI.Xaml.Charts;

namespace AxisChanged
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel viewModel = new ViewModel();

        public MainWindow()
        {
            InitializeComponent();
            
            DispatcherTimer timer = new DispatcherTimer();
            timer.Start();
            timer.Interval = new TimeSpan(0, 0, 5);
            timer.Tick += timer_Tick;
        }

        private void timer_Tick(object sender, EventArgs e)
        {
            if (Axis.ZoomFactor == 1 || Axis.ZoomPosition == 0)
            {
                ObservableCollection<DataValues> dataValue = viewModel.GenerateData();
                Chart.Series[0].ItemsSource = dataValue;
            }
        }

    }

    public class ViewModel
    {
        private Random random;

        public ViewModel()
        {
            random = new Random();
        }

        public ObservableCollection<DataValues> GenerateData()
        {
            ObservableCollection<DataValues> datas = new ObservableCollection<DataValues>();

            DateTime date = new DateTime(2012, 1, 1);

            double value = 38;

            for (int i = 0; i < 5; i++)
            {
                datas.Add(new DataValues(date, value));

                date = date.Add(TimeSpan.FromDays(i));

                value = random.Next(26, 60);
            }
            return datas;
        }
    }

    public class DataValues
    {
        public DateTime Year { get; set; }

        public double Count { get; set; }

        public DataValues(DateTime year, double count)
        {
            Year = year;
            Count = count;
        }
    }
}
